Summary:	Open BIOS parsing library
Summary(pl.UTF-8):	Biblioteka analizująca Open BIOS
Name:		libsmbios
Version:	2.4.3
Release:	3
License:	OSL v2.1 or GPL v2+
Group:		Libraries
#Source0Download: https://github.com/dell/libsmbios/releases
Source0:	https://github.com/dell/libsmbios/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d27a0de66b04860e4e3e8d1bb338bf6a
Patch0:		%{name}-sh.patch
Patch1:		%{name}-link.patch
URL:		https://github.com/dell/libsmbios
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1.6
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	doxygen
BuildRequires:	gettext-tools >= 0.14
BuildRequires:	help2man
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsmbios is a library and utilities that can be used by client
programs to get information from standard BIOS tables, such as the
SMBIOS table.

%description -l pl.UTF-8
libsmbios to biblioteka i narzędzia, które mogą wykorzystywać
programy klienckie do uzyskania informacji ze standardowych tablic
BIOS-u, takich jak tablica SMBIOS.

%package progs
Summary:	libsmbios tools
Summary(pl.UTF-8):	Narzędzia libsmbios
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python3-libsmbios = %{version}-%{release}

%description progs
libsmbios tools.

%description progs -l pl.UTF-8
Narzędzia libsmbios.

%package devel
Summary:	Header files and development documentation for libsmbios
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libsmbios
Summary(ru.UTF-8):	Хедеры для разработки программ с использованием libsmbios
Summary(uk.UTF-8):	Хедери для розробки програм з використанням libsmbios
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libsmbios.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libsmbios.

%description devel -l ru.UTF-8
Хедеры для разработки программ с использованием libsmbios.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням libsmbios.

%package static
Summary:	Static libsmbios libraries
Summary(pl.UTF-8):	Biblioteki statyczne libsmbios
Summary(ru.UTF-8):	Статические библиотеки для разработки программ с использованием libsmbios
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм з використанням libsmbios
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsmbios libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libsmbios.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
libsmbios.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням libsmbios.

%package -n python3-libsmbios
Summary:	Python 3 interface to libsmbios C library
Summary(pl.UTF-8):	Interfejs Pythona 3 do biblioteki C libsmbios
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-modules >= 1:3.2
Obsoletes:	python-libsmbios < 2.4.0
Obsoletes:	yum-plugin-dellsysid < 2.4.0

%description -n python3-libsmbios
Python 3 interface to libsmbios C library.

%description -n python3-libsmbios -l pl.UTF-8
Interfejs Pythona 3 do biblioteki C libsmbios.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '/AC_CONFIG_FILES(\[po\/Makefile\.in\])/d' configure.ac

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

# --for-msgfmt causes not to emit output for empty translations
%{__make} \
	MSGMERGE_FOR_MSGFMT_OPTION=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed by make install
cp -pr src/include/smbios_c $RPM_BUILD_ROOT%{_includedir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsmbios*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc COPYING COPYING-OSL README.md
%attr(755,root,root) %{_libdir}/libsmbios_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmbios_c.so.2

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/smbios-*
%dir %{_sysconfdir}/libsmbios
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libsmbios/logging.conf
%{_datadir}/smbios-utils
%{_mandir}/man1/smbios-*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmbios_c.so
%{_includedir}/smbios_c
%{_pkgconfigdir}/libsmbios_c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsmbios_c.a

%files -n python3-libsmbios
%defattr(644,root,root,755)
%{py3_sitedir}/libsmbios_c
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsmbios.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d4d54fc
- rebuild with separate debuginfo build-ids

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> dd9ac83
- release 2 (by relup.sh)

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> 4c5e6a3
- rediff patches

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 1170bf5
- updated to 2.4.3

* Sat Nov 02 2019 Jan Rękorajski <baggins@pld-linux.org> 17bd7bc
- fix auto-stuff build
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7c7e770
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 16 2018 Jakub Bogusz <qboosh@pld-linux.org> d696afe
- updated to 2.4.2

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09beaed
- release 2 (by relup.sh)

* Sat Apr 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 19e2795
- updated to 2.4.1
- C++ library is gone
- python 2 plugin replaced by python3; yum plugin is gone

* Tue Nov 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 0f62aff
- updated to 2.3.3
- removed obsolete gcc patch
- libsmbios cxx library is deprecated, but keep it for now

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 5caf3e7
- missing patch

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 610f569
- added gcc patch (allow using gcc 6); release 2

* Sat Mar 04 2017 Jakub Bogusz <qboosh@pld-linux.org> bc486c5
- new URLs, updated to 2.3.2

* Mon Mar 14 2016 Jakub Bogusz <qboosh@pld-linux.org> c71076a
- updated to 2.3.0
- removed obsolete gcc,ac patches
- separated python interface, pacakge yum plugin

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 0ce7a65
- fix building with autoconf not supporting lzma anymore
- update gcc patch for 4.9.x
- add x32 build
- rel 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a6fedb7
- updated gettext BR

* Fri Jul 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ffe33d
- updated to 2.2.28
- added gcc46 patch to allow gcc 4.6.x

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 7bcd7d5
- noted link patch update

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 00408be
- updated to 2.2.27
- updated link patch

* Sat Feb 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 6898115
- missing patch

